--[[
-- File: RaidDebuffs_Legion.lua
-- Author: enderneko (enderneko-dev@outlook.com)
-- File Created: 2022/08/05 16:05:39 +0800
-- Last Modified: 2022/08/17 17:32:10 +0800
--]]

local _, Cell = ...
local F = Cell.funcs

local debuffs = {
    [822] = { -- 破碎群岛
        [1790] = { -- 鬼母阿娜
            219045,
        },
        [1956] = { -- 阿波克隆
        },
        [1883] = { -- 布鲁塔卢斯
        },
        [1774] = { -- 卡拉米尔
            217877,
        },
        [1789] = { -- 冷血的杜贡
            219812,
            219610,
        },
        [1795] = { -- 浮骸
            223373,
        },
        [1770] = { -- 胡墨格里斯
            216822,
        },
        [1769] = { -- 勒凡图斯
            217206,
        },
        [1884] = { -- 马利费库斯
        },
        [1783] = { -- 魔王纳扎克
            219861,
            219349,
        },
        [1749] = { -- 尼索格
            212852,
        },
        [1763] = { -- 沙索斯
        },
        [1885] = { -- 丝瓦什
        },
        [1756] = { -- 夺魂者
        },
        [1796] = { -- 凋零者吉姆
        },
    },

    [768] = { -- 翡翠梦魇
        ["general"] = {
            222771,
            222786,
            222719,
            223912,
            221028,
        },
        [1703] = { -- 尼珊德拉
            203096,
            205043,
            204463,
        },
        [1738] = { -- 伊格诺斯，腐蚀之心
            208929,
            210984,
            209469,
            208931,
            210099,
        },
        [1744] = { -- 艾乐瑞瑟·雷弗拉尔
            215443,
            210850,
            215288,
            210229,
            215582,
        },
        [1667] = { -- 乌索克
            198108,
            198006,
            197943,
            197942,
            197980,
        },
        [1704] = { -- 梦魇之龙
            203110,
            203770,
            203690,
            203124,
            203102,
        },
        [1750] = { -- 塞纳留斯
            210279,
        },
        [1726] = { -- 萨维斯
            206005,
            206651,
            209158,
        },
    },

    [861] = { -- 勇气试炼
        ["general"] = {
        },
        [1819] = { -- 奥丁
            228030,
            229584,
            197961,
            228683,
            227959,
            228915,
        },
        [1830] = { -- 高姆
            227539,
            227566,
            227570,
            228226,
            228246,
            228250,
        },
        [1829] = { -- 海拉
            227903,
            228058,
            228054,
            193367,
            227982,
            232488,
        },
    },

    [786] = { -- 暗夜要塞
        ["general"] = {
            224440,
            230994,
            222079,
            222101,
            224995,
            225583,
            234585,
            224944,
            206847,
        },
        [1706] = { -- 斯考匹隆
            204531,
            204483,
        },
        [1725] = { -- 时空畸体
            206607,
        },
        [1731] = { -- 崔利艾克斯
            208506,
            206788,
            206641,
            208924,
            206798,
        },
        [1751] = { -- 魔剑士奥鲁瑞尔
            212587,
            213328,
            212494,
            224234,
            212647,
            213166,
            213621,
        },
        [1762] = { -- 提克迪奥斯
            206480,
            206365,
            212795,
            216040,
            208230,
            225003,
            224944,
            216024,
            224982,
        },
        [1713] = { -- 克洛苏斯
            206677,
            205344,
        },
        [1761] = { -- 高级植物学家特尔安
            218424,
            218502,
            218342,
        },
        [1732] = { -- 占星师艾塔乌斯
            206936,
            205649,
            206464,
            207720,
            206585,
            206388,
            206589,
            206965,
        },
        [1743] = { -- 大魔导师艾利桑德
            210387,
            209973,
            209244,
            209598,
            211887,
        },
        [1737] = { -- 古尔丹
            206222,
            206883,
            208536,
            208802,
            206384,
            221606,
            206896,
        },
    },

    [875] = { -- 萨格拉斯之墓
        ["general"] = {
            240706,
            239810,
            240737,
            241171,
            241009,
            239666,
            241234,
            241237,
            241116,
            241703,
            243298,
            33086,
            240599,
            241276,
        },
        [1862] = { -- 格罗斯
            233279,
            230345,
            231363,
            236329,
        },
        [1867] = { -- 恶魔审判庭
            233430,
            233983,
            248713,
        },
        [1856] = { -- 哈亚坦
            231770,
            231998,
            234016,
        },
        [1903] = { -- 月之姐妹
            236603,
            234995,
            234996,
            236519,
            236547,
            236550,
            239264,
            237351,
            236712,
            237561,
            236305,
        },
        [1861] = { -- 主母萨丝琳
            230959,
            230201,
            234661,
            230139,
            232754,
            232913,
            240169,
            230362,
        },
        [1896] = { -- 绝望的聚合体
            236449,
            236515,
            236513,
            235989,
            236340,
            236138,
        },
        [1897] = { -- 戒卫侍女
            235117,
            235534,
            235538,
        },
        [1873] = { -- 堕落的化身
            239739,
            236494,
        },
        [1898] = { -- 基尔加丹
            239155,
            234310,
            236710,
            239932,
        },
    },

    [959] = { -- 侵入点
        [2010] = { -- 主母芙努娜
            247361,
            247389,
            247411,
        },
        [2011] = { -- 妖女奥露拉黛儿
            247551,
            247544
        },
        [2012] = { -- 审判官梅托
            247495,
            247492,
        },
        [2013] = { -- 奥库拉鲁斯
            247332,
            247318,
        },
        [2014] = { -- 索塔纳索尔
            247698,
            247444,
        },
        [2015] = { -- 深渊领主维尔姆斯
            247731,
            247739,
        },
    },

    [946] = { -- 安托鲁斯，燃烧王座
        ["general"] = {
        },
        [1992] = { -- 加洛西灭世者
            244410, -- 屠戮
            244536, -- 邪能轰炸
        },
        [1987] = { -- 萨格拉斯的恶犬
            244767, -- 荒芜之径
            244056, -- 虹吸腐蚀
            248819, -- 虹吸
            244057, -- 燃烧腐蚀
            248815, -- 点燃
        },
        [1997] = { -- 安托兰统帅议会
            244172, -- 灵能突袭
            244420, -- 混乱脉冲
            245103, -- 凋零射击
            244892, -- 弱点攻击
        },
        [1985] = { -- 传送门守护者哈萨贝尔
            244613,
            245157,
            244952,
            244849,
            245050,
            196207,
            245118,
            245075,
        },
        [2025] = { -- 生命的缚誓者艾欧娜尔
            248326,
        },
        [2009] = { -- 猎魂者伊墨纳尔
            248424,
            247641,
            247962,
            247552,
            247367,
            247565,
            248255,
            247687,
            247932,
            250255,
        },
        [2004] = { -- 金加洛斯
            246706,
            244312,
        },
        [1983] = { -- 瓦里玛萨斯
            244042,
            244093,
            243961,
        },
        [1986] = { -- 破坏魔女巫会
            246763,
            245586,
            245518,
            244899,
            244899,
            253538,
        },
        [1984] = { -- 阿格拉玛
            245995,
            244291,
            246014,
            243431,
        },
        [2031] = { -- 寂灭者阿古斯
            248499,
            250669,
            251570,
            257299,
        },
    },

    [727] = { -- 噬魂之喉
        ["general"] = {
        },
        [1502] = { -- 堕落君王伊米隆
            193211,
            193364,
            193460,
        },
        [1512] = { -- 哈布隆
            194325,
            194216,
            194266,
        },
        [1663] = { -- 海拉
            197264,
            227233,
            197858,
        },
    },

    [767] = { -- 奈萨里奥的巢穴
        ["general"] = {
        },
        [1662] = { -- 洛克莫拉
            192799,
        },
        [1665] = { -- 乌拉罗格·塑山
            198496,
        },
        [1673] = { -- 纳拉萨斯
            210150,
            199176,
            205549,
        },
        [1687] = { -- 地底之王达古尔
            200732,
            200404,
            200154,
            201953,
        },
    },

    [707] = { -- 守望者地窟
        ["general"] = {
        },
        [1467] = { -- 提拉宋·萨瑟利尔
            202913,
            202919,
            214625,
        },
        [1695] = { -- 审判官托蒙托鲁姆
            203685, -- flesh-to-stone
            204899, -- stone-block
            199917, -- shadow-crash
            206019, -- corrupted-touch
            214804, -- seed-of-corruption
            200904, -- sapped-soul
        },
        [1468] = { -- 阿什高姆
            192519, -- lava
            192520, -- volcano
        },
        [1469] = { -- 格雷泽
            195032, -- radiation
            214893, -- pulse
            194945, -- lingering-gaze
        },
        [1470] = { -- 科达娜·邪歌
            197541, -- detonation
            213583, -- deepening-shadows
            197333, -- fel-glaive
            197941, -- elunes-light
        },
    },

    [945] = { -- 执政团之座
        ["general"] = {
            245735,
            246677,
            248239,
            245736,
            245748,
            248298,
            245706,
            245722,
            245510,
            248184,
            248133,
            246697,
            245727,
            246900,
        },
        [1979] = { -- 晋升者祖拉尔
            244653,
        },
        [1980] = { -- 萨普瑞什
            247245,
        },
        [1981] = { -- 总督奈扎尔
            1604,
            244751,
            244916,
        },
        [1982] = { -- 鲁拉
            245289,
        },
    },

    [900] = { -- 永夜大教堂
        ["general"] = {
            236954,
            239288,
            238583,
            236975,
            238688,
            239022,
            238991,
            237391,
            238674,
            239217,
        },
        [1905] = { -- 阿格洛诺克斯
            243613,
            236524,
        },
        [1906] = { -- 轻蔑的萨什比特
            237726,
            237276,
        },
        [1904] = { -- 多玛塔克斯
            241609,
        },
        [1878] = { -- 孟菲斯托斯
            233963,
            233177,
            234830,
        },
    },

    [777] = { -- 突袭紫罗兰监狱
        ["general"] = {
        },
        [1693] = { -- 溃面
            202266, -- icky-goo
        },
        [1694] = { -- 颤栗之喉
            201379, -- frost-breath
        },
        [1702] = { -- 鲜血公主萨安娜
            202779, -- essence-of-the-blood-princess
            202792, -- frenzied-bloodthirst
            203364, -- blood-swarm
        },
        [1686] = { -- 夺心者卡什
            201146, -- hysteria
            197783, -- shadow-crash
            201172, -- eternal-darkness
        },
        [1688] = { -- 米尔菲丝·法力风暴
            201159, -- delta-finger-laser-x-treme
        },
        [1696] = { -- 阿努贝斯特
            202217, -- mandible-strike
            202341, -- impale
            202300, -- poison-spit
        },
        [1697] = { -- 赛尔奥隆
            202414, -- venom-spray
            202306, -- creeping-slaughter
        },
        [1711] = { -- 邪能领主贝图格
            203619, -- chaotic-energy
            203641, -- fel-slash
            202361, -- execution
        },
    },

    [800] = { -- 群星庭院
        ["general"] = {
        },
        [1718] = { -- 巡逻队长加多
            207261, -- resonant-slash
            207278, -- arcane-lockdown
        },
        [1719] = { -- 塔丽克萨·火冠
            208165, -- withering-soul
            211457, -- infernal-eruption
            207906, -- burning-intensity
        },
        [1720] = { -- 顾问麦兰杜斯
            209602, -- blade-surge
            209676, -- slicing-maelstrom
            224333, -- enveloping-winds
            209628, -- piercing-gale
        },
    },

    [716] = { -- 艾萨拉之眼
        ["general"] = {
        },
        [1480] = { -- 督军帕杰什
            192094, -- Impaling spear
            192131, -- throw-spear
        },
        [1490] = { -- 积怨夫人
            193597, -- static-nova
            193716, -- curse-of-the-witch
            197326, -- crackling-thunder
        },
        [1491] = { -- 深须国王
            193152, -- quake
            193171, -- aftershock
            193018, -- gaseous-bubbles
            193093, -- ground-slam
        },
        [1479] = { -- 瑟芬崔斯克
            192050, -- poison-spit
            191855, -- toxic-wound
        },
        [1492] = { -- 艾萨拉之怒
            192706, -- arcane-bomb
            192985, -- cry-of-wrath
            192675, -- mystic-tornado
            192794, -- lightning-strike
        },
    },

    [721] = { -- 英灵殿
        ["general"] = {
        },
        [1485] = { -- 海姆达尔
            193092, -- bloodletting-sweep
            191284, -- horn-of-valor
            193235, -- dancing-blade
        },
        [1486] = { -- 赫娅
            192048, -- expel-light
            191976, -- arcing-bolt
            192305, -- eye-of-the-storm
            192018, -- shield-of-light
        },
        [1487] = { -- 芬雷尔
            196838, -- scent-of-blood
            197556, -- ravenous-leap
        },
        [1488] = { -- 神王斯科瓦尔德
            193826, -- ragnarok
            193702, -- infernal-flames
        },
        [1489] = { -- 奥丁
            198263, -- radiant-tempest
            198072, -- spear-of-light
            198088, -- glowing-fragment
            197961, -- runic-brand
        },
    },

    [860] = { -- 重返卡拉赞
        ["general"] = {
            228252, -- 暗影撕裂
            228241, -- 诅咒之触
            230050, -- 力场之刃
            229705, -- 蛛网
            229706, -- 汲取生命
            229716, -- 厄运诅咒
            228164, -- 裂地猛击
            227977, -- 炫目灯光
            227965, -- 检票
            228277, -- 仆役的镣铐
            228576, -- 被诱惑
            228526, -- 调情
            29928, -- 献祭
            238606, -- 奥术爆发
            228389, -- 炙烤
            228610, -- 燃烧之路
        },
        [1820] = { -- 歌剧院：魔法坏女巫
            227405, -- 反抗引力
        },
        [1826] = { -- 歌剧院：西部故事
            227325, -- 剧毒匕首
            227568, -- 燃烧扫堂腿
            227567, -- 被击倒
            227480, -- 烈焰狂风
            -227777, -- 雷霆仪式
        },
        [1827] = { -- 歌剧院：美女与野兽
            228221, -- 扬尘漫天
            228215, -- 扬尘漫天
            228013, -- 浸透
            227985, -- 削弱护甲
            232135, -- 血腥突刺
            228200, -- 燃烧之焰
        },
        [1825] = { -- 贞节圣女
            227800, -- 神圣震击
            227848, -- 神圣之地
            227508, -- 群体忏悔
            227823, -- 神圣愤怒
        },
        [1835] = { -- 猎手阿图门
            227404, -- 无形
            227493, -- 致死打击
        },
        [1837] = { -- 莫罗斯
            227742, -- 锁喉
            227545, -- 抽取法力
            227851, -- 保管外套
        },
        [1836] = { -- 馆长
            227465, -- 能量释放
        },
        [1817] = { -- 麦迪文之影
            227644, -- 穿刺飞弹
            228249, -- 炼狱箭
            228261, -- 烈焰花环
            227592, -- 霜寒
        },
        [1818] = { -- 魔力吞噬者
            227502, -- 不稳定的法力
            227524, -- 能量虚空
            230221, -- 被吸收的法力
        },
        [1838] = { -- 监视者维兹艾德姆
            229159, -- 混沌暗影
            229241, -- 获取目标
            229083, -- 炽热冲击
            230002, -- 炽热断筋
            229248, -- 邪能光束
            229250, -- 邪能烈焰
            230431, -- 渗漏邪能
        },
    },

    [726] = { -- 魔法回廊
        ["general"] = {
        },
        [1497] = { -- 伊凡尔
            196562, -- volatile-magic
            196804, -- nether-link
        },
        [1498] = { -- 科蒂拉克斯
            196074, -- suppression-protocol
            195791, -- quarantine
            203649, -- exterminate
            220481, -- destabilized-orb
            196115, -- cleansing-force
        },
        [1499] = { -- 萨卡尔将军
            220443, -- wake-of-shadows
            197776, -- fel-fissure
        },
        [1500] = { -- 纳尔提拉
            200227, -- tangled-web
            199811, -- blink-strikes
            200040, -- nether-venom
        },
        [1501] = { -- 顾问凡多斯
            203957, -- time-lock
            220871, -- unstable-mana
        },
    },

    [762] = { -- 黑心林地
        ["general"] = {
        },
        [1654] = { -- 大德鲁伊格兰达里斯
            196376, -- grievous-tear
            198376, -- primal-rampage
            198408, -- nightfall
        },
        [1655] = { -- 橡树之心
            204611, -- crushing-grip
            204574, -- strangling-roots
            204666, -- shattered-earth
        },
        [1656] = { -- 德萨隆
            199345, -- down-draft
            199460, -- falling-rocks
            199389, -- earthshaking-roar
            191326, -- breath-of-corruption
        },
        [1657] = { -- 萨维斯之影
            200182, -- festering-rip
            200238, -- feed-on-the-weak
            204502, -- apocalyptic-nightmare
            200111, -- apocalyptic-fire
        },
    },

    [740] = { -- 黑鸦堡垒
        ["general"] = {
        },
        [1518] = { -- 融合之魂
            194956, -- reap-soul
            195254, -- swirling-scythe
            194966, -- soul-echoes
        },
        [1653] = { -- 伊莉萨娜·拉文凯斯
            197418, -- vengeful-shear
            197546, -- brutal-glaive
            197687, -- eye-beams
            197821, -- felblazed-ground
            197484, -- dark-rush
        },
        [1664] = { -- 可恨的斯麦斯帕
            198245, -- brutal-haymaker
            198073, -- earthshaking-stomp
            198446, -- fel-vomit
            198501, -- fel-vomitus
        },
        [1672] = { -- 库塔洛斯·拉文凯斯
            198820, -- dark-blast
            199143, -- cloud-of-hypnosis
        },
    },
}

F:LoadBuiltInDebuffs(debuffs)